﻿using Telerik.Windows.Controls.Map;

namespace MapGeometryDemo
{
    public class Thing : BindableObject
    {
        private Location _location;
        private double _direction;

        public Thing(Location location, double direction)
        {
            _location = location;
            _direction = direction;
        }

        public Location Location
        {
            get { return _location; }
            set
            {
                _location = value;
                RaisePropertyChanged(() => Location);
            }
        }

        //Direction in radian : 0 = North, pi/2 = East
        public double Direction
        {
            get { return _direction; }
            set
            {
                _direction = value;
                RaisePropertyChanged(() => Direction);
            }
        }
    }
}
